# vscode-config
@ToothlessHaveBun's Visual Studio Code config files

> [!WARNING]
>
> Don’t blindly use my settings unless you know what that entails. Use at your own risk!

```plaintext
.
├── LICENSE
├── README.md
└── .vscode
    └── settings.json  // This one is the config file
```

## :arrow_double_up: Plugins

 - [.NET Install Tool](https://marketplace.visualstudio.com/items?itemName=ms-dotnettools.vscode-dotnet-runtime)
 - [Astro](https://marketplace.visualstudio.com/items?itemName=astro-build.astro-vscode)
 - [C/C++](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cpptools)
 - [C/C++ Compile Run](https://marketplace.visualstudio.com/items?itemName=danielpinto8zz6.c-cpp-compile-run)
 - [C/C++ Extension Pack](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cpptools-extension-pack)
 - [CMake](https://marketplace.visualstudio.com/items?itemName=twxs.cmake)
 - [CMake Tools](https://marketplace.visualstudio.com/items?itemName=ms-vscode.cmake-tools)
 - [Competitive Programming Helper (cph)](https://marketplace.visualstudio.com/items?itemName=DivyanshuAgrawal.competitive-programming-helper)
 - [Dev Containers](https://marketplace.visualstudio.com/items?itemName=ms-vscode-remote.remote-containers)
 - [Docker](https://marketplace.visualstudio.com/items?itemName=ms-azuretools.vscode-docker)
 - [EJS launguage support](https://marketplace.visualstudio.com/items?itemName=DigitalBrainstem.javascript-ejs-support)
 - [GitHub Codespaces](https://marketplace.visualstudio.com/items?itemName=GitHub.codespaces)
 - [GitHub Pull Requests](https://marketplace.visualstudio.com/items?itemName=GitHub.vscode-pull-request-github)
 - [GitHub Repositories](https://marketplace.visualstudio.com/items?itemName=GitHub.remotehub)
 - [Live Preview](https://marketplace.visualstudio.com/items?itemName=ms-vscode.live-server)
 - [Markdown PDF](https://marketplace.visualstudio.com/items?itemName=yzane.markdown-pdf)
 - [MDX](https://marketplace.visualstudio.com/items?itemName=unifiedjs.vscode-mdx)
 - [Python](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
 - [Vue](https://marketplace.visualstudio.com/items?itemName=Vue.volar)
 - [YAML](https://marketplace.visualstudio.com/items?itemName=redhat.vscode-yaml)

## :camera_flash: Screen Shorts

<img width="1582" alt="Screen1" src="https://github.com/user-attachments/assets/e992fdca-aad4-4c72-8f33-423ff003bff5" />

<img width="1582" alt="Screen2" src="https://github.com/user-attachments/assets/63256e19-68c7-4920-bed2-9a88c6e34431" />


## :heartpulse: Colorful

 - Color Theme: Gruvbox Theme
 - Icon Theme: Catppuccin Icons for VSCode
 - Font: [CaskaydiaMono Nerd Font](https://github.com/ryanoasis/nerd-fonts/releases/download/v3.4.0/CascadiaMono.zip)

## Author

**vscode-config** &copy; [Frederick Chen](https://www.ohdragonboi.cn) | Published under [MIT-License](LICENSE).

> [Portfolio](https://fredcss.dev) · [Blog :cn:](https://www.ohdragonboi.cn) · GitHub @ [ToothlessHaveBun](https://github.com/ToothlessHaveBun) · Twitter @ [wczffL_503](https://x.com/wczffL_503) · contact@ohdragonboi.cn
